<div [@routerTransition]>
    <app-page-header [heading]="'Add Bluetooth'" [icon]="'fa-edit'"></app-page-header>

    <div class="row">
        <div class="col-lg-6">
          <form [formGroup]="form" (ngSubmit)="onSubmit()">
              <hr>
              <div class="form-group">
                  <label><b>디바이스번호</b></label>
                  <select class="form-control" formControlName="device_id">
                    <option label="-- 선택 --"></option>  
                    <option *ngFor="let device of devices" [value]="device.id">{{ device.id }}</option>
                  </select>
              </div>
              <hr />
              <hr>
                <div class="form-group">
                    <label><b>블루투스UUID(안드로이드용)</b></label>&nbsp;&nbsp;
                    <div class="form-group input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text">저울 UUID</span>
                        </div>
                        <input type="text" class="form-control" formControlName="scale_uuid" placeholder="입력">
                    </div>
                    <div class="form-group input-group">
                      <div class="input-group-prepend">
                          <span class="input-group-text">Airmeter UUID</span>
                      </div>
                      <input type="text" class="form-control" formControlName="airmeter_uuid" placeholder="입력">
                    </div>
                    <div class="form-group input-group">
                      <div class="input-group-prepend">
                          <span class="input-group-text">프린터 UUID</span>
                      </div>
                      <input type="text" class="form-control" formControlName="printer_uuid" placeholder="입력">
                    </div>
                </div>
              <hr />

              <hr>
                <div class="form-group">
                    <label><b>블루투스 Name(아이폰용)</b></label>&nbsp;&nbsp;
                    <div class="form-group input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text">저울 Name</span>
                        </div>
                        <input type="text" class="form-control" formControlName="scale_name" placeholder="입력">
                    </div>
                    <div class="form-group input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text">Airmeter Name</span>
                        </div>
                        <input type="text" class="form-control" formControlName="airmeter_name" placeholder="입력">
                    </div>
                </div>
                <hr />

              <div align="right">
                <button type="button" class="btn btn-primary btn-md" (click)="open(content)" [disabled]="!form.valid">제출</button>
                <ng-template #content let-modal>
                    <div class="modal-header">
                        <h4 class="modal-title">블루투스 추가</h4>
                    </div>
                    <div class="modal-body">
                        <p>블루투스를 추가하시겠습니까?</p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" (click)="onSubmit()">확인</button>
                        <button type="button" class="btn btn-default" aria-label="Close" (click)="modal.dismiss('Cross click')">취소</button>
                    </div>
                </ng-template>
              </div>                
          </form>

        </div>
    </div>
    
</div>
